
Pre-Development - Bug #19794

FE - React - Organisation Profile - Department tab - No validation for mandatory form (add and

modify)

19 February 2024 04:13 PM - Hazimi Muhammad

Status: Closed Start date: 19 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Form that had no validation:

Department Code,

Department ID

Issue:

Go to Organisation Profile -> Click search button -> Select any data in table -> click for Department tab -> Select any data in table -> 

Click Modify button -> click all the form -> delete it -> no error while its should be mandatory.

Expected:

Go to Organisation Profile -> Click search button -> Select any data in table -> click for Department tab -> Select any data in table -> 

Click Modify button -> click all the form -> delete it -> Got error.

History

#1 - 20 February 2024 10:37 AM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Applied changes for Org Profile and User Role page as well

Bug #19794 - insert validation for org profile, department, user role page

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/65df86d922e0ff6ee7b87115d272fe432403eda1

#2 - 20 February 2024 04:02 PM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed.

Go to Organisation Profile -> Click search button -> Select any data in table -> click for Department tab -> Select any data in table -> Click Modify

button -> click all the form -> delete it -> already got error and cannot click the save

Also check for Organisation profile but cannot check for user role due to cannot stimulate the module
https://dev.silverlakemobility.com/redmine/issues/19794
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/65df86d922e0ff6ee7b87115d272fe432403eda1


#3 - 28 February 2024 05:07 PM - chok yee fan

- Status changed from Feedback to Closed

working as expected
